=== debian/control ===
Source: twisted
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Matthias Klose <doko@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 patch,
 pydoctor (>= 21.12.1),
 python3-all,
 python3-attr (>= 19.2.0),
 python3-automat (>= 0.8.0),
 python3-constantly,
 python3-doc,
 python3-hamcrest,
 python3-hyperlink,
 python3-incremental (>= 21.3.0),
 python3-setuptools,
# python3-typing-extensions,
 python3-zope.interface (>= 4.4.2),
Build-Depends-Indep:
 python3-sphinx <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://twistedmatrix.com/
Vcs-Browser: https://salsa.debian.org/python-team/packages/twisted
Vcs-Git: https://salsa.debian.org/python-team/packages/twisted.git

Package: python3-twisted
Architecture: all
Depends:
 python3-bcrypt (>= 3.0.0),
 python3-cryptography (>= 2.5),
 python3-hamcrest,
 python3-idna,
 python3-openssl,
 python3-service-identity (>= 18.1.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pampy,
 python3-serial,
 python3-tk,
 python3-wxgtk4.0,
Provides:
 ${python:Provides},
Conflicts:
 python3-twisted-experimental,
Replaces:
 python3-twisted-experimental,
Breaks:
 python3-h2 (<< 3.0.0),
 python3-treq (<< 20.9.0),
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.

Package: twisted-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python3-twisted,
Recommends:
 www-browser | postscript-viewer | pdf-viewer,
Description: Official documentation of Twisted
 This contains various HOWTOs and overviews in various formats.
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.
