## twisted 22.2.0

=== debian/changelog ===
twisted (22.2.0-1~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    2638c36d23fd82e75c408c145e0758ed5d43fa0a.
  * External port from:
    https://deb.debian.org/debian/pool/main/t/twisted/twisted_22.2.0-
    1.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Wed, 23 Mar 2022 19:59:27 +0100

twisted (22.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * gbp.conf: Update the main branch.
  * Make sure we exclude .gitattributes from the next generated tarballs.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Mar 2022 12:32:07 +0100
