=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: twisted
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Matthias Klose <doko@debian.org>,
 Build-Depends:
@@ -19,7 +18,7 @@
  python3-hyperlink,
  python3-incremental (>= 21.3.0),
  python3-setuptools,
-# python3-typing-extensions,
+ python3-typing-extensions,
  python3-zope.interface (>= 4.4.2),
 Build-Depends-Indep:
  python3-sphinx <!nodoc>,
