## twisted 22.4.0

=== debian/changelog ===
twisted (22.4.0-4+deb12u1) bookworm-security; urgency=medium

  * CVE-2024-41671 (Closes: #1077679)
  * CVE-2024-41810 (Closes: #1077680)
  * CVE-2023-46137 (Closes: #1054913)

 -- Moritz Mühlenhoff <jmm@debian.org>  Tue, 27 Aug 2024 20:36:02 +0200

twisted (22.4.0-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for Python 3.11 (Closes: #1029579)
  * Add upstream patch for CVE-2022-39348 (Closes: #1023359)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Jan 2023 16:12:17 +0100

twisted (22.4.0-3) unstable; urgency=medium

  * Team upload.
  * Patch: Fix FTBFS with pydoctor 22.7 (Closes: #1016315)
  * Rebase pydoctor-22.7.patch underneath other debian-specific patches
    touching the same code.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 02 Sep 2022 14:10:50 +0200

twisted (22.4.0-2) unstable; urgency=medium

  * Team upload.
  * Patch: Drop dependency on python3-typing-extensions, we don't need it.
    Avoids an unnecessary Main Inclusion Request in Ubuntu.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 07 May 2022 08:58:45 -0400

twisted (22.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2022-24801 (Closes: #1009030)
  * Refresh patches.
  * Drop patch tests/Tests-Ignore-test_unicodeLogFileUTF8.patch, superseded
    upstream.
  * Drop "compression = gz" from gbp.conf, we are getting xz tarballs from
    upstream.
  * Patch: remove spurious test for illegal whitespace in xmlns.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Apr 2022 22:36:35 -0400
