=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  patch,
- pydoctor (>= 21.12.1),
+ pydoctor (>= 22.7),
  python3-all,
  python3-attr (>= 19.2.0),
  python3-automat (>= 0.8.0),
@@ -18,7 +18,6 @@
  python3-hyperlink,
  python3-incremental (>= 21.3.0),
  python3-setuptools,
- python3-typing-extensions,
  python3-zope.interface (>= 4.4.2),
 Build-Depends-Indep:
  python3-sphinx <!nodoc>,
