=== debian/tests/control ===
Tests: unit-tests-3
Restrictions: needs-root
Depends:
 python3-hamcrest,
 python3-setuptools,
 @,
