## twisted 24.3.0

=== debian/changelog ===
twisted (24.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop unittest-skip-3.12.1.patch, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Mar 2024 10:57:17 -0400
