=== debian/tests/control ===
Tests: unit-tests-3
Restrictions: allow-stderr
Depends:
 locales-all,
 python3-all,
 python3-hamcrest,
 python3-hypothesis,
 python3-twisted,
