## twisted 24.7.0

=== debian/changelog ===
twisted (24.7.0-2) unstable; urgency=medium

  [ Colin Watson ]
  * Remove Google Analytics tracker from documentation.
  * Update syntax of privacy-breach-generic Lintian override.
  * Simplify some debhelper overrides slightly.
  * Remove .gitignore files from python3-twisted.

  [ Stefano Rivera ]
  * Drop unnecessary dh_python3 override.

 -- Colin Watson <cjwatson@debian.org>  Sun, 01 Sep 2024 15:22:10 +0100

twisted (24.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2024-41810: twisted.web.util.redirectTo now HTML-escapes the
      provided URL in the fallback response body it returns (closes:
      #1077680).
    - CVE-2024-41671: The HTTP 1.0 and 1.1 server provided by twisted.web
      could process pipelined HTTP requests out-of-order, possibly resulting
      in information disclosure (closes: #1077679).

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Aug 2024 15:05:23 +0100

twisted (24.3.0-3) unstable; urgency=medium

  * Team upload.
  * Fix twisted.conch tests with OpenSSH >= 9.8.
  * Explicitly depend on openssh-client for our autopkgtest, so that it's
    triggered by openssh changes.

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Aug 2024 15:19:03 +0100

twisted (24.3.0-2) unstable; urgency=medium

  * Team upload.
  * Patch: fix test_flatten in autopkgtest. (Closes: #1073996)
    This patch can probably be dropped after next upstream release.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 24 Jun 2024 10:50:35 +0100
