=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-hatch-fancy-pypi-readme,
  python3-hatchling,
  python3-hyperlink,
- python3-incremental (>= 21.3.0),
+ python3-incremental (>= 24.7.0),
  python3-sphinx-rtd-theme,
  python3-zope.interface (>= 4.4.2),
 Build-Depends-Indep:
