=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Restrictions: allow-stderr
 Depends:
  locales-all,
+ openssh-client,
  python3-all,
  python3-hamcrest,
  python3-hypothesis,
