## twisted 24.10.0

=== debian/changelog ===
twisted (24.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Oct 2024 11:07:53 +0000

twisted (24.7.0-3) unstable; urgency=medium

  * Team upload.
  * Fix test_manhole on Python 3.12.6/3.13rc2 (closes: #1081419).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Sep 2024 17:34:12 +0100
