=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
  pybuild-plugin-pyproject,
  pydoctor (>= 22.7),
  python3-all,
- python3-attr (>= 19.2.0),
- python3-automat (>= 0.8.0),
+ python3-attr (>= 22.2.0),
+ python3-automat (>= 24.8.0),
  python3-constantly,
  python3-doc,
  python3-hamcrest,
  python3-hatch-fancy-pypi-readme,
  python3-hatchling,
+ python3-httpx (>= 0.27),
  python3-hyperlink,
  python3-incremental (>= 24.7.0),
  python3-sphinx-rtd-theme,
@@ -53,7 +54,7 @@
 Replaces:
  python3-twisted-experimental,
 Breaks:
- python3-h2 (<< 3.0.0),
+ python3-h2 (<< 3.2.0),
  python3-treq (<< 20.9.0),
 Description: Event-based framework for internet applications
  It includes a web server, a telnet server, a multiplayer RPG engine, a
