## twisted 24.11.0

=== debian/changelog ===
twisted (24.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches to fix tests on OpenSSL 1.1.1, long since fixed in other
    ways upstream.

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Dec 2024 10:27:19 +0000

twisted (24.10.0-2) unstable; urgency=medium

  * Fix HTTP server support of UNIX filesystem sockets (closes: #1087390).
  * Add myself to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Nov 2024 10:54:55 +0000
