=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Stefano Rivera <stefanor@debian.org>,
+ Colin Watson <cjwatson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
