=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,6 @@
  openssh-client,
  python3-all,
  python3-hamcrest,
+ python3-httpx (>= 0.27),
  python3-hypothesis,
  python3-twisted,
