=== debian/watch ===
--- 
+++ 
@@ -7,4 +7,4 @@
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/twisted/twisted.git \
-      refs/tags/twisted-(\d{2}\.\d.\d)
+      refs/tags/twisted-(\d+\.\d+.\d+)
