## twisted 25.5.0

=== debian/changelog ===
twisted (25.5.0-4) unstable; urgency=medium

  * Load Hypothesis profile at the right time in autopkgtests.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Sep 2025 23:41:08 +0100

twisted (25.5.0-3) unstable; urgency=medium

  * Skip slow/flaky test_writeBuffering (closes: #1116155).

 -- Colin Watson <cjwatson@debian.org>  Thu, 25 Sep 2025 10:56:12 +0100

twisted (25.5.0-2) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * Drop some Breaks that are only relevant to pre-bookworm systems.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Sep 2025 13:00:29 +0100

twisted (25.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Jun 2025 12:11:09 +0100
