=== debian/control ===
--- 
+++ 
@@ -23,11 +23,12 @@
  python3-hyperlink,
  python3-incremental (>= 24.7.0),
  python3-sphinx-rtd-theme,
+ python3-wsproto,
  python3-zope.interface (>= 4.4.2),
 Build-Depends-Indep:
  python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://twistedmatrix.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/twisted
 Vcs-Git: https://salsa.debian.org/python-team/packages/twisted.git
@@ -47,6 +48,7 @@
  python3-pampy,
  python3-serial,
  python3-tk,
+ python3-wsproto,
  python3-wxgtk4.0,
 Provides:
  ${python:Provides},
@@ -54,9 +56,6 @@
  python3-twisted-experimental,
 Replaces:
  python3-twisted-experimental,
-Breaks:
- python3-h2 (<< 3.2.0),
- python3-treq (<< 20.9.0),
 Description: Event-based framework for internet applications
  It includes a web server, a telnet server, a multiplayer RPG engine, a
  generic client and server for remote object access, and APIs for creating
