=== debian/tests/control ===
--- 
+++ 
@@ -8,3 +8,4 @@
  python3-httpx (>= 0.27),
  python3-hypothesis,
  python3-twisted,
+ python3-wsproto,
