=== debian/watch ===
Version: 5

Source: https://github.com/twisted/twisted.git
Matching-Pattern: refs/tags/twisted-(\d+\.\d+.\d+)
Mode: git
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Dversion-Mangle: s/\+ds(\.?\d+)?$//
